/*
 * This program does something. Thats all i can tell you.
 * It is part of the hasp make. See /usr/hasp/.makefile for details.  J.B.B.
 */
cat(nar,s)
char *s;
{
	char **ax;
	register char *p,*q,**a;
	ax=(a=(&s))+nar + 1;
	p=(*a++);
	while (a<ax)
	{
		q=(*a++);
		while (*p++=(*q++));
		p--;
	};
	*p=0;
	return (p);
};
